Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160416 - Can't set paper tray with printer
Summary: Can't set paper tray with printer
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-print
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-14 23:03 UTC by Dax Kelson
Modified: 2013-03-06 03:43 UTC (History)
1 user (show)

Fixed In Version: libgnomeprint22-2.12.1-9.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-23 18:30:54 UTC


Attachments (Terms of Use)

Description Dax Kelson 2005-06-14 23:03:09 UTC
Description of problem:

Fedora Core v4 final

I have a postscript printer with multiple trays. I have the PPD file for the
printer and I installed it with the following command.

lpadmin -p lp126 -E -P /tmp/lp126.ppd -v http://lp126.gurulabs.com/printer/

The printer shows up and I'm able to see and use all the trays and options when
printing with OpenOffice or KDE's kprinter.

However, when I use the GNOME print dialog and go to the "Paper" tab, the botton
option: "Paper Tray" is greyed out and reads "No options are defined".

So, to re-cap, other printing software is able to communicate with CUPS and get
a proper list of paper trays, but not GNOME.

I was expecting this to work. Another data point. I had a highly tweaked FC3 box
that I rebuilt rawhide gnome 2.10 RPMS for from the April '05 timeframe and
installed. With the rebuild rawhide gnome 2.10 RPMs, the Paper Tray setting
started working on that FC3 box.

Version-Release number of selected component (if applicable):
gnome-print-0.37-11

Comment 1 Dax Kelson 2005-06-14 23:04:43 UTC
BTW, I also deleted the printer with "lpadmin -x lp126" and re-added the printer
using system-config-printer (I imported the PPD file using s-c-p too). No change.

Comment 2 Christian Iseli 2007-01-22 10:19:14 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 3 Dax Kelson 2007-01-23 18:30:54 UTC
It works fine in FC6


Note You need to log in before you can comment on or make changes to this bug.